# Uses of Interface
org.apache.lucene.monitor.CustomQueryHandler

- ## Uses of CustomQueryHandler in org.apache.lucene.monitor

  Classes in org.apache.lucene.monitor that implement CustomQueryHandler
  Modifier and Type
  Class
  Description
  `class`
  `RegexpQueryHandler`
  A query handler implementation that matches Regexp queries by indexing regex terms by their longest static substring, and generates ngrams from Document tokens to match them.
  Constructor parameters in org.apache.lucene.monitor with type arguments of type CustomQueryHandler
  Modifier
  Constructor
  Description
  ``
  `MultipassTermFilteredPresearcher(int passes, float minWeight, TermWeightor weightor, List<CustomQueryHandler> queryHandlers, Set<String> filterFields)`
  Construct a new MultipassTermFilteredPresearcher
  ``
  `TermFilteredPresearcher(TermWeightor weightor, List<CustomQueryHandler> customQueryHandlers, Set<String> filterFields)`
  Creates a new TermFilteredPresearcher